open Unix;;
open Filename;;

let mon_find0 () =
  print_endline current_dir_name; (* pour faire comme find *)
  let dir_handle = opendir current_dir_name in
  let rec print_dir () =
    let name = readdir dir_handle in
    if name <> current_dir_name && name <> parent_dir_name then
      print_endline (concat current_dir_name name);
    print_dir ()
  in
  try print_dir ()
  with
  | End_of_file ->
    closedir dir_handle;
    exit 0;
  | e ->
    closedir dir_handle;
    raise e

let () = handle_unix_error mon_find0 ()
